For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Application object
          • GET/applications
          • POST/applications
          • GET/applications/{id}
          • POST/applications/{id}/change-stage
          • GET/applications/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsApplications

/applications/{id}

GET
/ats/v1/applications/:id
GET
/api/ats/v1/applications/:id
$curl -G https://api.merge.dev/api/ats/v1/applications/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode expand=offers,screening_question_answers,screening_question_answers.question,candidate,job,credited_to,current_stage,reject_reason
200Retrieved
1{
2 "id": "92e8a369-fffe-430d-b93a-f7e8a16563f1",
3 "remote_id": "98796",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "candidate": "2872ba14-4084-492b-be96-e5eee6fc33ef",
7 "job": "52bf9b5e-0beb-4f6f-8a72-cd4dca7ca633",
8 "applied_at": "2021-10-15T00:00:00Z",
9 "rejected_at": "2021-11-15T00:00:00Z",
10 "offers": [
11 "e9b5c11d-c588-468e-8567-cd6992e42b62"
12 ],
13 "source": "Campus recruiting event",
14 "credited_to": "58166795-8d68-4b30-9bfb-bfd402479484",
15 "screening_question_answers": [
16 {
17 "question": "0238cbc6-6040-430a-848e-aaiehfhdbadf4ae",
18 "answer": "5+ years experience"
19 },
20 {
21 "question": "59982bf6-7c54-4ff8-ab60-ced0bb644b84",
22 "answer": "New york city"
23 }
24 ],
25 "current_stage": "d578dfdc-7b0a-4ab6-a2b0-4b40f20eb9ea",
26 "reject_reason": "59b25f2b-da02-40f5-9656-9fa0db555784",
27 "remote_was_deleted": true,
28 "field_mappings": {
29 "organization_defined_targets": {
30 "custom_key": "custom_value"
31 },
32 "linked_account_defined_targets": {
33 "custom_key": "custom_value"
34 }
35 },
36 "remote_data": [
37 {
38 "path": "/candidacies",
39 "data": null
40 }
41 ]
42}

Returns an Application object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/applications

Next

/applications/{id}/change-stage

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
candidatestring or nullformat: "uuid"
The candidate applying.
jobstring or nullformat: "uuid"
The job being applied for.
applied_atdatetime or null
When the application was submitted.
rejected_atdatetime or null
When the application was rejected.
offerslist of strings
sourcestring or null
The application's source.
credited_tostring or nullformat: "uuid"
The user credited for this application.
screening_question_answerslist of objects
current_stagestring or nullformat: "uuid"
The application's current stage.
reject_reasonstring or nullformat: "uuid"
The application's reason for rejection.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only